Skip navigation links
org.openide.util.enumerations 6.37

Old Enumeration API
Deprecated

See: Description

Old Enumeration API 
Package Description
org.openide.util.enum
A set of old, deprecated utility classes for working with enumerations.

This module contains utility classes to work with, create, compose or filter enumerations. However as these classes reside in enum package, they cannot be referenced when using javac's -source 1.5.

What is New (see all changes)?

Use Cases

Most of the functionality is deprecated, so it is better to go and use the replacement API in org-openide-util.jar.

Exported Interfaces

This table lists all of the module exported APIs with defined stability classifications. It is generated based on answers to questions about the architecture of the module. Read them all...
Group of java interfaces
Interface NameIn/OutStabilitySpecified in What Document?
OldEnumerationsAPIExportedDeprecated

is deprecated and replaced with the
Enumerations class.

Implementation Details

Where are the sources for the module?

The sources for the module are in the NetBeans Mercurial repositories.

What do other modules need to do to declare a dependency on this one, in addition to or instead of a plain module dependency?

Nothing.

Read more about the implementation in the answers to architecture questions.

Skip navigation links
org.openide.util.enumerations 6.37